function GameStep()
  -- GAME STEP
  if not do_pause then
    SetCollisionFlags(main_Player)
    for _, enty in pairs(LoadedEntities) do
      enty:Smart()
      enty:DoPhysics()
    end
    AnimateTiles()
    Camera:positionCenterAt(main_Player.pos.x, main_Player.pos.y)
    --camera:positionAt(main_Player.pos.x, main_Player.pos.y,game.width,game.height)
  end
end

function GameDraw()

  GameworldDraw()
  GameworldLighting()

	-- HUD
	textScale = 0.5

	--debug
	if debug then DebugUI() end
	if debug_collision then
		DebugColisions()
		DebugEntities()
	end

	-- reset color
	if do_pause then PauseUI() end
end
